Index: main/plugin-odf-sync/stylesheets/rof23/program2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/rof23/program2content.xsl	(revision 28934)
+++ main/plugin-odf-sync/stylesheets/rof23/program2content.xsl	(working copy)
@@ -49,12 +49,13 @@
 	
 	<!-- @Override Composante -->
 	<xsl:template name="program-orgUnit">
-		<orgUnit type="orgunit" multiple="true">
-			<xsl:for-each select="cdm:contacts/cdm:refOrgUnit">
-				<item><xsl:value-of select="@ref"/></item>
-			</xsl:for-each>
-		</orgUnit>
-	</xsl:template>
+        <orgUnit type="orgunit" multiple="true">
+            <xsl:for-each select="cdm:contacts/cdm:refOrgUnit">
+                <item><xsl:value-of select="@ref"/></item>
+            </xsl:for-each>
+        </orgUnit>
+    </xsl:template>
+	
 	
 	<!-- @Override Responsable -->
 	<xsl:template name="program-personInCharge">
@@ -199,12 +200,16 @@
 	<!-- Composantes -->
 	<xsl:template name="root-program-orgUnit">
 		<orgUnit type="orgunit" multiple="true">
-			<xsl:for-each select="/cdm:CDM/cdm:program[@ident = /cdm:CDM/cdmfr:habilitation/cdmfr:habiliId]/cdm:teachingPlace/cdmfr:refOrgUnit">
-				<item><xsl:value-of select="@ref"/></item>
-			</xsl:for-each>
-			<xsl:for-each select="cdm:contacts/cdm:refOrgUnit">
-				<item><xsl:value-of select="@idRef"/></item>
-			</xsl:for-each>
+			<xsl:for-each select="cdm:contacts">
+                 <xsl:for-each select="cdmfr:refOrgResp">
+                     <xsl:variable name="respRole">
+                        <xsl:value-of select="cdmfr:respRole"/>
+                     </xsl:variable>
+                     <xsl:if test="$respRole = 'composante de responsabilité pédagogique'">
+                        <item><xsl:value-of select="cdmfr:refOrgUnit/@ref"/></item>
+                     </xsl:if>
+                 </xsl:for-each>
+            </xsl:for-each>
 		</orgUnit>
 	</xsl:template>
 	
@@ -256,11 +261,11 @@
 		
 		<!-- Concaténation de la mention ME (si présente), de la spécialité SP (si présente) et du programme PR-->
 		<qualification type="rich-text">
-			<xsl:if test="$ME/cdm:qualification/cdmfr:qualificationDescription/cdm:infoBlock/* or $SP/cdm:qualification/cdmfr:qualificationDescription/cdm:infoBlock/* or cdm:qualification/cdmfr:qualificationDescription/cdm:infoBlock/*">
+			<xsl:if test="$ME/cdm:qualification/cdmfr:studyQualification/cdm:infoBlock/* or $SP/cdm:qualification/cdmfr:studyQualification/cdm:infoBlock/* or cdm:qualification/cdmfr:studyQualification/cdm:infoBlock/*">
 				<article version="5" xmlns="http://docbook.org/ns/docbook">
-					<xsl:apply-templates select="$ME/cdm:qualification/cdmfr:qualificationDescription/cdm:infoBlock[*]" mode="infoblock-without-article"/>
-					<xsl:apply-templates select="$SP/cdm:qualification/cdmfr:qualificationDescription/cdm:infoBlock[*]" mode="infoblock-without-article"/>
-					<xsl:apply-templates select="cdm:qualification/cdmfr:qualificationDescription/cdm:infoBlock[*]" mode="infoblock-without-article"/>
+					<xsl:apply-templates select="$ME/cdm:qualification/cdmfr:studyQualification/cdm:infoBlock[*]" mode="infoblock-without-article"/>
+					<xsl:apply-templates select="$SP/cdm:qualification/cdmfr:studyQualification/cdm:infoBlock[*]" mode="infoblock-without-article"/>
+					<xsl:apply-templates select="cdm:qualification/cdmfr:studyQualification/cdm:infoBlock[*]" mode="infoblock-without-article"/>
 				</article>
 			</xsl:if>
 		</qualification>
@@ -356,13 +361,13 @@
 		<xsl:param name="ME"/>
 		<xsl:param name="SP"/>
 		
-		<!-- Concaténation de la mention ME (si présente), de la spécialité SP (si présente) et du programme PR-->
+		<!-- Concaténation de la mention ME (si présente), de la spécialité SP (si présente) et du programme PR -->
 		<furtherStudy type="rich-text">
-			<xsl:if test="$ME/cdm:qualification/cdmfr:studyQualification/cdm:infoBlock/* or $SP/cdm:qualification/cdmfr:studyQualification/cdm:infoBlock/* or cdm:qualification/cdmfr:studyQualification/cdm:infoBlock/*">
+			<xsl:if test="$ME/cdmfr:aip/cdmfr:possibleFollowUp/* or $SP/cdmfr:aip/cdmfr:possibleFollowUp/* or cdmfr:aip/cdmfr:possibleFollowUp/*">
 				<article version="5" xmlns="http://docbook.org/ns/docbook">
-					<xsl:apply-templates select="$ME/cdm:qualification/cdmfr:studyQualification/cdm:infoBlock[*]" mode="infoblock-without-article"/>
-					<xsl:apply-templates select="$SP/cdm:qualification/cdmfr:studyQualification/cdm:infoBlock[*]" mode="infoblock-without-article"/>
-					<xsl:apply-templates select="cdm:qualification/cdmfr:studyQualification/cdm:infoBlock[*]" mode="infoblock-without-article"/>
+					<xsl:apply-templates select="$ME/cdmfr:aip/cdmfr:possibleFollowUp[*]" mode="infoblock-without-article"/>
+					<xsl:apply-templates select="$SP/cdmfr:aip/cdmfr:possibleFollowUp[*]" mode="infoblock-without-article"/>
+					<xsl:apply-templates select="cdmfr:aip/cdmfr:possibleFollowUp/*[*]" mode="infoblock-without-article"/>
 				</article>
 			</xsl:if>
 		</furtherStudy>