Index: webapp/cms/skins/demo/resources/css/services/feed.css
===================================================================
--- webapp/cms/skins/demo/resources/css/services/feed.css	(revision 29154)
+++ webapp/cms/skins/demo/resources/css/services/feed.css	(working copy)
@@ -25,31 +25,11 @@
 	margin: 0 !important;
 	padding: 0 !important;
 }
-.syndication .date {
-	font-size: 0.9em;
-	float: right;
-	margin-right: 10px;
-}
+
 .syndication .feed-image {
 	float: right;
 	margin-right: 10px;
 }
-.syndication ul {
-	margin-top: 10px;
-	margin-left: 0 !important;
-	padding-top: 5px;
-	padding-left: 0 !important;
-	clear: right;
-}
-.syndication ul li {
-	background-image: none;
-	margin-bottom: 15px;
-	padding-left: 0 !important;
-	clear: both;
-	overflow: auto;
-	list-style-type: none;
-	border-bottom: 1px solid;
-}
 
 .syndication ul li.last {
 	border-bottom: none;
@@ -93,3 +73,62 @@
 	font-size: 0.9em;
 	text-align: right;
 }
+
+.feed-config-form .input span
+{
+    margin-top: 0px !important;
+}
+
+.feed-config-form .checkbox
+{
+    margin-top: 10px !important;
+}
+
+.feed-config-form .label
+{
+    margin-left: 30px !important;
+}
+
+.feed-config-form .label input
+{
+    width: 270px;
+}
+
+.art-post .syndication ul.feed-list > li { 
+    clear: none;
+    width: 33%;
+    float: left;
+    content: " "; 
+    display:block;
+    box-sizing: border-box; /* todo */
+    padding: 3px;
+    margin-bottom: 5px;
+}
+
+.art-post .syndication ul.feed-list li li {
+    border-top: 1px solid;
+    margin-top: 5px;
+}
+
+.art-post .syndication ul.feed-list > li.first-li { 
+    clear:both; 
+}
+
+.art-post .syndication .rss-title {
+    font-size: 18px;
+}
+
+.art-block .syndication-by-date ul {
+    overflow: hidden;
+}
+
+.art-post .syndication-by-date li {
+    border-top: 1px solid;
+    margin-top: 25px;
+}
+
+.art-post .syndication ul.feed-list:after {
+    clear: both;
+    content: " ";
+    display: block;
+}
Index: webapp/cms/skins/demo/services/syndication/pages/services/feed/feedmulticol2xhtml_1.2.xsl
===================================================================
--- webapp/cms/skins/demo/services/syndication/pages/services/feed/feedmulticol2xhtml_1.2.xsl	(revision 0)
+++ webapp/cms/skins/demo/services/syndication/pages/services/feed/feedmulticol2xhtml_1.2.xsl	(revision 0)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+   Copyright 2015 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<xsl:stylesheet version="1.0"
+		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+		xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
+		xmlns:ametys="org.ametys.web.transformation.xslt.AmetysXSLTHelper">
+	
+	<xsl:import href="plugin:syndication://pages/services/feed/feedmulticol2xhtml_1.2.xsl"/>    
+        
+    <!-- Used in common.xsl -->
+    <xsl:template name="common-service-head-css">
+        <link rel="stylesheet" type="text/css" href="{ametys:skinURL('css/services/feed.css')}" media="screen, print, handheld"/>   
+        <xsl:if test="ametys:renderingContext() = 'back'">
+            <link href="{ametys:pluginResourceURL('syndication', 'css/bo-error.css')}" rel="stylesheet" type="text/css" />
+        </xsl:if>  
+    </xsl:template>       
+
+</xsl:stylesheet>		
Index: webapp/cms/skins/demo/services/syndication/pages/services/feed/feed2xhtml-list_1.2.xsl
===================================================================
--- webapp/cms/skins/demo/services/syndication/pages/services/feed/feed2xhtml-list_1.2.xsl	(revision 29154)
+++ webapp/cms/skins/demo/services/syndication/pages/services/feed/feed2xhtml-list_1.2.xsl	(working copy)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!--
-   Copyright 2012 Anyware Services
+   Copyright 2015 Anyware Services
 
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
@@ -27,7 +27,7 @@
 
     <!-- Used in common.xsl -->
     <xsl:variable name="common-service-css-class-name">syndication</xsl:variable>
-    <xsl:variable name="is-empty" select="not(/feed)"/>
+    <xsl:variable name="is-empty" select="not(/rssFeeds/feed)"/>
     <xsl:variable name="common-service-name">service-syndication list</xsl:variable>    
 
 
@@ -52,9 +52,12 @@
     
     <!-- Used in common.xsl -->
     <xsl:template name="common-service-head-css">
-        <link rel="stylesheet" type="text/css" href="{ametys:skinURL('css/services/feed-list.css')}" media="screen, print, handheld"/>    
+        <link rel="stylesheet" type="text/css" href="{ametys:skinURL('css/services/feed-list.css')}" media="screen, print, handheld"/> 
+        <xsl:if test="ametys:renderingContext() = 'back'">
+            <link href="{ametys:pluginResourceURL('syndication', 'css/bo-error.css')}" rel="stylesheet" type="text/css" />
+        </xsl:if>    
     </xsl:template>      
-
+ 
 <!-- +
          | BODY
          + -->    
@@ -68,36 +71,42 @@
     
     <!-- Used in common.xsl -->
     <xsl:template name="common-service-body-nonempty-content-content">
-		<xsl:apply-templates select="image"/>
-		
-        <xsl:call-template name="syndication-title"/>
-        
-        <xsl:call-template name="syndication-description"/>
-        
-        <xsl:call-template name="syndication-list"/>
+        <ul>
+		<xsl:for-each select="/rssFeeds/feed">
+			<li>
+			<xsl:apply-templates select="image"/>
+			
+	        <xsl:call-template name="syndication-title"/>
+	        
+	        <xsl:call-template name="syndication-description"/>
+	        
+	        <xsl:call-template name="syndication-list"/>
+			</li>
+		</xsl:for-each>
+        </ul>
     </xsl:template>
     
     <!-- Template for the general title -->    
     <xsl:template name="syndication-title">
    		<xsl:choose>
    			<xsl:when test="$is-title-visible">
-   				<p class="rss-title"><xsl:value-of select="/feed/@title"/></p>
+   				<p class="rss-title"><xsl:value-of select="@title"/></p>
    			</xsl:when>
    			<xsl:otherwise>
-   				<h1 class="rss-title"><xsl:value-of select="/feed/@title"/></h1>
+   				<h1 class="rss-title"><xsl:value-of select="@title"/></h1>
    			</xsl:otherwise>
    		</xsl:choose>
     </xsl:template>        
 
     <!-- Template for the description -->
     <xsl:template name="syndication-description">
-        <p class="description"><xsl:value-of select="/feed/@description"/></p>    
+        <p class="description"><xsl:value-of select="@description"/></p>    
     </xsl:template>
     
     <!-- Template for the list -->
     <xsl:template name="syndication-list">
         <ul>
-            <xsl:apply-templates select="/feed/entry"/>
+            <xsl:apply-templates select="entry"/>
         </ul>    
     </xsl:template>    
             
Index: webapp/cms/skins/demo/services/syndication/pages/services/feed/feed2xhtml_1.2.xsl
===================================================================
--- webapp/cms/skins/demo/services/syndication/pages/services/feed/feed2xhtml_1.2.xsl	(revision 29154)
+++ webapp/cms/skins/demo/services/syndication/pages/services/feed/feed2xhtml_1.2.xsl	(working copy)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!--
-   Copyright 2012 Anyware Services
+   Copyright 2015 Anyware Services
 
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
@@ -23,7 +23,10 @@
     
     <!-- Used in common.xsl -->
     <xsl:template name="common-service-head-css">
-        <link rel="stylesheet" type="text/css" href="{ametys:skinURL('css/services/feed.css')}" media="screen, print, handheld"/>    
+        <link rel="stylesheet" type="text/css" href="{ametys:skinURL('css/services/feed.css')}" media="screen, print, handheld"/>   
+        <xsl:if test="ametys:renderingContext() = 'back'">
+            <link href="{ametys:pluginResourceURL('syndication', 'css/bo-error.css')}" rel="stylesheet" type="text/css" />
+        </xsl:if>    
     </xsl:template>      
-    	
+     
 </xsl:stylesheet>		
Index: webapp/cms/skins/demo/services/syndication/pages/services/feed/utils/preference.xsl
===================================================================
--- webapp/cms/skins/demo/services/syndication/pages/services/feed/utils/preference.xsl	(revision 0)
+++ webapp/cms/skins/demo/services/syndication/pages/services/feed/utils/preference.xsl	(revision 0)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+   Copyright 2015 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<xsl:stylesheet version="1.0"
+		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+		xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
+		xmlns:ametys="org.ametys.web.transformation.xslt.AmetysXSLTHelper">
+	
+    <xsl:import href="plugin:syndication://pages/services/feed/utils/preference.xsl"/>
+    
+    <xsl:template name="configure-links-btn-text">
+        <img src="{ametys:skinURL('img/services/syndication/gears-20.png')}" i18n:attr="alt" alt="plugin.syndication:SYNDICATION_SERVICE_CONFIG_RSS_FORM_POPUP_CONFIG"/>
+        <noscript><i18n:text i18n:key="SYNDICATION_SERVICE_CONFIG_RSS_FORM_POPUP_CONFIG" i18n:catalogue="plugin.syndication"/></noscript>
+    </xsl:template>
+     
+</xsl:stylesheet>		
Index: webapp/cms/skins/demo/services/syndication/pages/services/feed/feed2xhtml-list_1.2.xml
===================================================================
--- webapp/cms/skins/demo/services/syndication/pages/services/feed/feed2xhtml-list_1.2.xml	(revision 29154)
+++ webapp/cms/skins/demo/services/syndication/pages/services/feed/feed2xhtml-list_1.2.xml	(working copy)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!--
-   Copyright 2010 Anyware Services
+   Copyright 2015 Anyware Services
 
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
Index: webapp/cms/skins/demo/services/syndication/pages/services/feed/feed2xhtml.xsl
===================================================================
--- webapp/cms/skins/demo/services/syndication/pages/services/feed/feed2xhtml.xsl	(revision 0)
+++ webapp/cms/skins/demo/services/syndication/pages/services/feed/feed2xhtml.xsl	(revision 0)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!--
+   Copyright 2015 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<xsl:stylesheet version="1.0" 
+                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+                xmlns:ametys="org.ametys.web.transformation.xslt.AmetysXSLTHelper"
+                xmlns:i18n="http://apache.org/cocoon/i18n/2.1">
+
+    <xsl:import href="plugin:syndication://pages/services/feed/feed2xhtml.xsl"/>    
+
+    <!-- Used in common.xsl -->
+    <xsl:template name="common-service-head-css">
+        <xsl:if test="ametys:renderingContext() = 'back'">
+            <link href="{ametys:pluginResourceURL('syndication', 'css/bo-error.css')}" rel="stylesheet" type="text/css" />
+        </xsl:if>  
+    </xsl:template>  
+    
+</xsl:stylesheet>