Index: main/plugin-cms/pages/comments/helper/comments_3.3.xsl
===================================================================
--- main/plugin-cms/pages/comments/helper/comments_3.3.xsl	(revision 29154)
+++ main/plugin-cms/pages/comments/helper/comments_3.3.xsl	(working copy)
@@ -396,7 +396,12 @@
 				</label>
 			</div>
 			<div class="input">
-				<input type="text" name="name" id="comment-{$uniqueId}-name"/>
+                <xsl:variable name="id" select="concat('comment-', $uniqueId, '-name')"/>
+				<input type="text" name="name" id="{$id}"/>
+				<xsl:call-template name="fill-user-input">
+                    <xsl:with-param name="id" select="$id"/>
+                    <xsl:with-param name="field" select="'fullname'"/>
+                </xsl:call-template>
 			</div>
 			<div class="field-end"></div>
 		</div>
@@ -408,7 +413,12 @@
 				<label for="comment-{$uniqueId}-email"><i18n:text i18n:key="PLUGINS_CMS_CONTENT_COMMENTS_POST_AUTHOR_EMAIL" i18n:catalogue="plugin.cms"/></label>
 			</div>
 			<div class="input">
+			    <xsl:variable name="id" select="concat('comment-', $uniqueId, '-email')"/>
 				<input type="text" name="email" id="comment-{$uniqueId}-email"/>
+				<xsl:call-template name="fill-user-input">
+                    <xsl:with-param name="id" select="$id"/>
+                    <xsl:with-param name="field" select="'email'"/>
+                </xsl:call-template>
 			</div>
 			<div class="field-end"></div>
 		</div>
Index: main/plugin-cms/pages/comments/helper/comments.xsl
===================================================================
--- main/plugin-cms/pages/comments/helper/comments.xsl	(revision 29154)
+++ main/plugin-cms/pages/comments/helper/comments.xsl	(working copy)
@@ -316,7 +316,19 @@
 							}
 						}
 						
-						$j.post("<xsl:value-of select="$contextPath"/>/plugins/cms/comments/add-comment", data, result);
+						function handleError(jqXHR, textStatus, errorThrown)
+                        {
+                            alert("<i18n:text i18n:key="PLUGINS_CMS_CONTENT_COMMENTS_ADD_ERROR_SUBMIT" i18n:catalogue="plugin.cms" />");
+                        }
+
+                        $j.ajax({
+                            url: "<xsl:value-of select="$uri-prefix"/>/plugins/cms/comments/add-comment",
+                            data: data,
+                            type: 'post',
+                            success: result,
+                            error: handleError
+                        });
+
 					}
 
 					return false;
Index: main/plugin-cms/i18n/messages_en.xml
===================================================================
--- main/plugin-cms/i18n/messages_en.xml	(revision 29154)
+++ main/plugin-cms/i18n/messages_en.xml	(working copy)
@@ -566,6 +566,7 @@
     <message key="CONTENT_EDITION_LINK_MAILTO_DESCRIPTION">This link goes to the following email adresss:&lt;br/&gt;&lt;br/&gt;</message>
     <message key="CONTENT_EDITION_LINK_INSERT_WEB_LABEL">Link to an external website</message>
     <message key="CONTENT_EDITION_LINK_INSERT_WEB_DESCRIPTION">Insert link to external website not managed by Ametys.</message>
+    <message key="CONTENT_EDITION_LINK_INSERT_WEB_INVALID_LINK">You must enter a valid internet address</message>
     <message key="CONTENT_EDITION_LINK_INSERT_MAILTO_LABEL">Link to an e-mail address</message>
     <message key="CONTENT_EDITION_LINK_INSERT_MAILTO_DESCRIPTION">Insert a link that will open a new e-mail to a given address.</message>
     <message key="CONTENT_EDITION_LINK_INSERT_MAILTO_INVALID_EMAIL">You must enter a valid email address</message>
@@ -830,6 +831,7 @@
     <message key="PLUGINS_CMS_UITOOL_USERS_FOOTER">See Help for details</message>
     <message key="PLUGINS_CMS_UITOOL_USERS_SEARCH">Search</message>
     <message key="PLUGINS_CMS_UITOOL_USERS_SEARCH_EMPTY_TEXT">Lastname, firstname or login</message>
+    <message key="PLUGINS_CMS_UITOOL_USERS_SEARCH_LIMIT_HELPTEXT">The search returns only the first 100 results. Use the filter to get more accurate results.</message>
     <message key="PLUGINS_CMS_UITOOL_USERS_NO_RESULT">No result</message>
     <message key="PLUGINS_CMS_UITOOL_USERS_RESULT_1">Users </message>
     <message key="PLUGINS_CMS_UITOOL_USERS_RESULT_2"> - </message>
@@ -1416,6 +1418,7 @@
     <message key="PLUGINS_CMS_CONTENT_COMMENTS_ADD_ERROR_DESCRIPTION">Your comment contains the following errors:</message>
     <message key="PLUGINS_CMS_CONTENT_COMMENTS_ADD_ERROR_BACK_ALT">Use the 'back' button of your web browser to correct your data.</message>
     <message key="PLUGINS_CMS_CONTENT_COMMENTS_ADD_ERROR_BACK">Click here to come back to the form</message>
+    <message key="PLUGINS_CMS_CONTENT_COMMENTS_ADD_ERROR_SUBMIT">An error occured. Impossible to submit your comment.</message>
 
     <message key="PLUGINS_CMS_CONTENT_COMMENTS_DEL_ERROR_CONTENTNOTFOUND">The content holding the comment does not exist anymore. Please refresh before trying again.</message>
     <message key="PLUGINS_CMS_CONTENT_COMMENTS_DEL_ERROR_CONTENTNOTCOMMENTABLE">The content can not hold comments.</message>
@@ -1511,6 +1514,13 @@
     <message key="PLUGINS_CMS_COMMON_UTILS_DATE_TO"> to </message>
     
    	<!-- +
+         | Common - Utils
+         + -->
+    <message key="PLUGINS_CMS_COMMON_UTILS_DATE">The </message>
+    <message key="PLUGINS_CMS_COMMON_UTILS_DATE_FROM">From </message>
+    <message key="PLUGINS_CMS_COMMON_UTILS_DATE_TO"> to </message>
+    
+   	<!-- +
    	     | LANGUAGES
    	     + -->
    	<message key="PLUGINS_CMS_LANGUAGES_LABEL_FR">French</message>
Index: main/plugin-cms/i18n/messages_fr.xml
===================================================================
--- main/plugin-cms/i18n/messages_fr.xml	(revision 29154)
+++ main/plugin-cms/i18n/messages_fr.xml	(working copy)
@@ -567,6 +567,7 @@
     <message key="CONTENT_EDITION_LINK_MAILTO_DESCRIPTION">Ce lien fixe mène à l'adresse email suivante :&lt;br/&gt;&lt;br/&gt;</message>
     <message key="CONTENT_EDITION_LINK_INSERT_WEB_LABEL">Lien vers une page web externe</message>
     <message key="CONTENT_EDITION_LINK_INSERT_WEB_DESCRIPTION">Insérer un lien vers un site web non géré par le CMS.</message>
+    <message key="CONTENT_EDITION_LINK_INSERT_WEB_INVALID_LINK">Vous devez saisir une adresse internet valide</message>
     <message key="CONTENT_EDITION_LINK_INSERT_MAILTO_LABEL">Lien vers une adresse e-mail</message>
     <message key="CONTENT_EDITION_LINK_INSERT_MAILTO_DESCRIPTION">Insérer un lien qui enverra un e-mail à l'adresse donnée.</message>
     <message key="CONTENT_EDITION_LINK_INSERT_MAILTO_INVALID_EMAIL">Vous devez saisir une adresse email valide</message>
@@ -831,6 +832,7 @@
     <message key="PLUGINS_CMS_UITOOL_USERS_FOOTER">Voir l'aide pour plus de détails</message>
     <message key="PLUGINS_CMS_UITOOL_USERS_SEARCH">Rechercher</message>
     <message key="PLUGINS_CMS_UITOOL_USERS_SEARCH_EMPTY_TEXT">Nom, prénom ou identifiant</message>
+    <message key="PLUGINS_CMS_UITOOL_USERS_SEARCH_LIMIT_HELPTEXT">Attention, la recherche ne renvoie que les 100 premiers résultats. Utilisez le filtre pour affiner votre recherche.</message>
     <message key="PLUGINS_CMS_UITOOL_USERS_NO_RESULT">Aucun résultat</message>
     <message key="PLUGINS_CMS_UITOOL_USERS_RESULT_1">Utilisateurs </message>
     <message key="PLUGINS_CMS_UITOOL_USERS_RESULT_2"> - </message>
@@ -1358,7 +1360,7 @@
     <message key="CONTENT_VIEW_CONTACT">Par</message>
     <message key="CONTENT_VIEW_LASTPUBLICATIONDATE">Publié le</message>
     <message key="CONTENT_VIEW_READMORE">Lire la suite</message>
-    <message key="CONTENT_VIEW_FORM_MANDATORY_LABEL">Les champs suivis d'une astérisque * sont obligatoires</message>
+    <message key="CONTENT_VIEW_FORM_MANDATORY_LABEL">Les champs suivis d'un astérisque * sont obligatoires</message>
     <message key="CONTENT_VIEW_FORM_MANDATORY_FIELD">*</message>
     
     <!-- + 
@@ -1417,6 +1419,7 @@
     <message key="PLUGINS_CMS_CONTENT_COMMENTS_ADD_ERROR_DESCRIPTION">Votre commentaire contient les erreurs suivantes :</message>
     <message key="PLUGINS_CMS_CONTENT_COMMENTS_ADD_ERROR_BACK_ALT">Utilisez le bouton 'Précédent' de votre navigateur web pour corriger votre commentaire.</message>
     <message key="PLUGINS_CMS_CONTENT_COMMENTS_ADD_ERROR_BACK">Cliquez ici pour revenir à la page précédente</message>
+    <message key="PLUGINS_CMS_CONTENT_COMMENTS_ADD_ERROR_SUBMIT">Une erreur est survenue. Impossible de proposer votre commentaire.</message>
 
     <message key="PLUGINS_CMS_CONTENT_COMMENTS_DEL_ERROR_CONTENTNOTFOUND">Le contenu portant le commentaire n'existe plus. Veuillez actualiser la liste avant de ré-essayer.</message>
     <message key="PLUGINS_CMS_CONTENT_COMMENTS_DEL_ERROR_CONTENTNOTCOMMENTABLE">Le contenu ne peut pas avoir de commentaires.</message>